---
title: "Compte rendu Filtrage ECG"
author: OLLIVIER Angèle et POIRIER Lucas
geometry: margin=1cm
output: pdf_document
mainfont: sans-serif
---

# Compte rendu du TP Carrefour

## Diagramme de la FSM

![Diagramme de la FSM](./img/FSM.png)

## Architecture de l'unité opérative

![Architecture de l'unité opérative](./img/OperativeUnit.png)

## Remarques

Nous avons une machine d'état de Moore.
Nous pourions faire un seul état OUTPUT + STORE en utilisant la valeur de addResult comme valeur d'entrée des registres d'échantillon 2 et 3.
Pour l'instant nous utilisons SR_Y avec un signal pour indiquer de garder cette valeur pour l'utiliser comme échantillon d'entrée.
Nous utilisons un autre signal pour indiquer que SR-Y est prêt à être utilisé comme valeur de sortie finale des trois filtres.

Nous avons copié et modifié le testbench du filtre audio pour l'adapter à notre ecg.
Avec nous avons vérifié le bon enchaînement des états.

A la fin de la dernière séance nous avons utilisé dans le testbench les valeurs de ADCSampleOctave.csv
Dans ce document il y a aussi les résultats attendus en sortie de l'ecg.
Ainsi on peut vérifier le fonctionnement de notre ecg.
Nous n'obtenons pas les résultats attendus.

Pistes :
- Nos valeurs ne sont pas appelées à la bonne fréquence?
- Problème dans l'unité de calcul?